
class Queue {

	constructor (items = []) {
		this.items = items;
	}

	enqueue (item) {
		this.items.push(item);
	}

	dequeue () {
		return this.items.shift();
	}

	length () {
		return this.items.length;
	}

}

module.exports = Queue;
